/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 */
package com.jcg;

/**
 *
 * @author omozegieaziegbe
 */
public class JavaNamingConventionsGuide {

    public static void main(String[] args) {
        System.out.println("Hello World!");
    }

    // Correct - Class names use PascalCase
    public class Employee {

        private String name;
        private int age;
    }

    public interface Printable {

        void print();
    }

    public class Calculator {

        public int addNumbers(int a, int b) {
            return a + b;
        }
    }

    public class Product {

        private String productName;
        private double productPrice;
    }

    public class Config {

        public static final int MAX_USERS = 1000;
        public static final String APP_NAME = "MyApp";
    }

    public enum OrderStatus {
        PENDING,
        SHIPPED,
        DELIVERED,
        CANCELLED;
    }

    public class Person {

        private String name;
        private boolean employed;

        // Getter
        public String getName() {
            return name;
        }

        // Setter
        public void setName(String name) {
            this.name = name;
        }

        // Boolean getter
        public boolean isEmployed() {
            return employed;
        }

        // Boolean setter
        public void setEmployed(boolean employed) {
            this.employed = employed;
        }
    }
}
